[SciPy-dev] scikits.umfpack

Robert Cimrman cimrman3@ntc.zcu...
Thu Aug 7 05:40:04 CDT 2008


Ondrej Certik wrote:
> On Wed, Aug 6, 2008 at 1:15 PM, Robert Cimrman <cimrman3@ntc.zcu.cz> wrote:
>> Related question: what versions of scipy/numpy should be scikits
>> compatible with? I will try to update umfpack to work both with the last
>> release and the svn.
> 
> Well Robert, maybe it's time you start sending patches for a review, no? :)
> 
> I am sure Stefan would agree with me. :)

Although I agree that reviews are nice, the patch was ok - before 
UMFPACK scikit did not work. I just missed the failing test, caused by 
test_umfpack.py not being updated too.

Is there a standard procedure for this? I recall a discussion was here 
in May but missed its conclusions if there were any.

Anyway this just shows how SVN sucks compared to e.g. Mercurial. I would 
have cloned my repo to freehg, let Nils verify it and then commit the 
changes - no patch review framework needed. ;)

r.


More information about the Scipy-dev mailing list